/*******************************************************************************
 *  Copyright 2017-2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/

package cdac.medinfo.sdk.dcm30_04.templates.enums.cv;

/**
 * This enum represents Code Value for Echocardiography Right Ventricle 
 */
public enum EnumCV_EchocardiographyRightVentricle {

	//Echocardiography Right Ventricle  - CID 12204
	RV_STROKE_VOLUME_F_04FD8("F-04FD8"),
	RV_CARDIAC_OUTPUT_F_04FA5("F-04FA5"),
	RV_CARDIAC_INDEX_F_04F84("F-04F84"),
	RV_STROKE_INDEX_F_04FE5("F-04FE5"),
	RIGHT_VENTRICULAR_INTERNAL_DIASTOLIC_DIMENSION_20304_2("20304-2"),
	RIGHT_VENTRICULAR_INTERNAL_SYSTOLIC_DIMENSION_20305_9("20305-9"),
	RIGHT_VENTRICULAR_INDEX_OF_MYOCARDIAL_PERFORMANCE_G_0381("G-0381"),
	RIGHT_VENTRICULAR_PEAK_SYSTOLIC_PRESSURE_G_0380("G-0380"),
	RIGHT_VENTRICULAR_ANTERIOR_WALL_DIASTOLIC_THICKNESS_18153_7("18153-7"),
	RIGHT_VENTRICULAR_ANTERIOR_WALL_SYSTOLIC_THICKNESS_18157_8("18157-8");

	private String value;

	EnumCV_EchocardiographyRightVentricle(String strvalue)
	{
		this.value = strvalue;
	}

	/**
	 * This function returns the String value of this enum.
	 * @return - returns string value of Code Value.
	 */
	public String getValue()
	{
		return value;
	}

}
